Skip to main content
GET
/
remuneration
/
api
/
fixed-items
List fixed items
curl --request GET \
  --url https://{host}/remuneration/api/fixed-items
import requests

url = "https://{host}/remuneration/api/fixed-items"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://{host}/remuneration/api/fixed-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "amount": 123,
      "startsOn": "2023-12-25",
      "endsOn": "2023-12-25",
      "comment": "First-half salary increase",
      "natureId": 123,
      "nature": {
        "id": 123,
        "name": "Basic salary",
        "category": {
          "id": 123,
          "code": "BASIC_SALARY"
        },
        "establishments": [
          {
            "id": 123,
            "name": "Lucca FR",
            "currencyCode": "EUR",
            "currencySymbol": "€"
          }
        ]
      },
      "workContractId": 123,
      "workContract": {
        "workContractId": 123,
        "amendmentId": 123,
        "ownerId": 123,
        "owner": {
          "id": 123,
          "firstName": "<string>",
          "lastName": "<string>",
          "name": "<string>",
          "displayName": "<string>"
        },
        "startsOn": "2023-12-25",
        "endsOn": "2023-12-25"
      }
    }
  ],
  "next": "<string>",
  "prev": "<string>",
  "count": 123
}

Query Parameters

ids
integer<int32>[]

Only return variable items with the specified identifiers.

amendedWorkContractIds
string[]

Only return fixed natures linked to the specified amended work contracts. An amended work contract id is a string representation of a pair of work contract id and amendment id. If the amendment id is null, the work contract id is enough : 12 Otherwise, the work contract id and the amendment id are separated by a dash : 12-4"

ownerIds
integer<int32>[]

Only return variable items owned by the specified users.

natureIds
integer<int32>[]

Only return variable items with the specified natures.

limit
integer
default:10

For paging. Number of items per page.

page

Two strategy might be used:

  • Continuation token paging
  • Offset limit paging
sort
string
default:StartsOn

This parameters syntax is consistent among every Lucca application, and its BNF grammar is defined as follow.

<sort>                  ::= '-|+'? <property> ( ',' <property> )*
<property> ::= <strictString> ( '.' <strictString> )*
<strictString> ::= ( <char> | <digit> | '_' | '-' )+
fields.root
enum<string>[]

Retrieve prev & next page tokens, as well as the total count of items across all pages.

Available options:
next,
prev,
count

Response

200 - application/json

OK

items
object[]
next
string | null
prev
string | null
count
integer<int32> | null